Reset the upload counter for marketplace invoice corrections.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/invoicing/reset-invoice-correction-upload-counter \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"orderKeys": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/invoicing/reset-invoice-correction-upload-counter"
payload = { "orderKeys": ["b45f6432-2462-4c6f-b00f-1d9d01000000"] }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({orderKeys: ['b45f6432-2462-4c6f-b00f-1d9d01000000']})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/invoicing/reset-invoice-correction-upload-counter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Marketplace Invoicing
Reset the upload counter for marketplace invoice corrections.
Reset the upload counter for marketplace invoice corrections.
POST
/
v2
/
marketplace
/
invoicing
/
reset-invoice-correction-upload-counter
Reset the upload counter for marketplace invoice corrections.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
Request parameters
Reset the upload counter for marketplace invoice corrections. - Request
The invoice corrections for which the upload counter should be reset.
Represents a key for an SCX order.
Response
Successfully reset the upload counter for marketplace invoice corrections.
Was this page helpful?
Reset the upload counter for marketplace invoice correction PDFs.Resets PDF generation for marketplace invoices/invoice corrections so they can be reprinted and uploaded again.
⌘I